<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('settings', function (Blueprint $table): void {
            $table->id();
            $table->string('app_name');
            $table->string('app_version')->default('1.0');
            $table->string('app_base_url')->url();
            $table->string('app_admin');
            $table->string('app_title');
            $table->longText('app_description')->nullable();
            $table->longText('app_keyword')->nullable();
            $table->string('app_contact')->email()->nullable();
            $table->longText('app_meta')->default('[]')->nullable();
            $table->longText('app_social')->default('[]')->nullable();
            $table->longText('app_header')->nullable();
            $table->longText('app_footer')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('settings');
    }
};
